## org.hibernate.metamodel.domain
Interface Hierarchical

All Superinterfaces:
  AttributeContainer, Type

All Known Implementing Classes:
  AbstractAttributeContainer, Component, Entity, NonEntity, Superclass

    public interface Hierarchical

extends AttributeContainer

Additional contract for things that can occur in an inheritance hierarchy (specifically ones we would need to traverse).

Method Summary
`Hierarchical` `getSuperType()` Retrieve the super type.

Methods inherited from interface org.hibernate.metamodel.domain.AttributeContainer
`attributes, createBag, createComponentAttribute, createList, createMap, createSet, createSingularAttribute, createVirtualSingularAttribute, getRoleBaseName, locateAttribute, locateBag, locateComponentAttribute, locateList, locateMap, locatePluralAttribute, locateSet, locateSingularAttribute`

Methods inherited from interface org.hibernate.metamodel.domain.Type
`getClassName, getClassReference, getClassReferenceUnresolved, getName, isAssociation, isComponent`

Method Detail

### getSuperType

    Hierarchical getSuperType()

  Retrieve the super type.

  Returns:
    The super type, or null if no super type.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.